<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Note Table</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    {% load static %}
    <link rel="stylesheet" href="{% static 'indexstyle.css' %}"/>
</head>
<body>
    <nav class="navbar navbar-expand navbar-light navbar-custom">
        <a class="navbar-brand" href="#">LAB-4</a>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item active">
                <a class="nav-link" href="/lab-4/">All Messages <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/lab-4/add-note">Add Note</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/lab-4/note-list">Cards</a>
              </li>
            </ul>
        </div>
    </nav>
    <div class="title-holder">
        <h1>All Messages</h1>
    </div>
    <table class="message-table">
        <tr class="row-head">
            <th id="lefthead">To</th>
            <th id="mid1head">From</th>
            <th id="mid2head">Title</th>
            <th id="righthead">Message</th>
        </tr>
        {% for note in notes %}
        <tr>
            <td>{{ note.to }}</td>
            <td>{{ note.fromNote }}</td>
            <td>{{ note.title }}</td>
            <td>{{ note.message }}</td>
        </tr>
        {% endfor %}
    </table>
</body>
</html>